Inbox · Comments

Get post comments

Fetches post comments.

GEThttps://api.pozy.ai/v1/inbox/comments/{postId}
getInboxPostComments

Guides: Comments, TikTok, Threads

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the engagement resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
postIdrequiredstring

Query parameters

NameTypeNotes
accountIdrequiredstring
subredditstring
limitintegerDefault 251 to 100
cursorstring
commentIdstring

Example

curl -X GET "https://api.pozy.ai/v1/inbox/comments/6108a2cc742cb4e991051e0c?accountId=696e0b682d0a31188e7a2ba9&limit=25" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • statusstring
  • commentsarray of object
    21 child fields
    • idstring
    • messagestring
    • createdTimestring (date-time)
    • fromobject
      6 child fields
      • idstring
      • namestring
      • usernamestring
      • picturestring

        Can be null.

      • isOwnerboolean
      • verifiedTypestring

        One of blue, government, business, none. Can be null.

    • likeCountinteger
    • replyCountinteger
    • platformstring
    • urlstring

      Can be null.

    • repliesarray of object
    • repliesHasMoreboolean
    • canReplyboolean
    • canDeleteboolean
    • canHideboolean
    • canLikeboolean
    • isHiddenboolean
    • isLikedboolean
    • likeUristring

      Can be null.

    • cidstring

      Can be null.

    • parentIdstring

      Can be null.

    • rootUristring

      Can be null.

    • rootCidstring

      Can be null.

  • postobject

    One of:

    Reddit post (15 fields)
    • idstring
    • fullnamestring
    • titlestring
    • selftextstring
    • authorstring
    • subredditstring
    • permalinkstring
    • urlstring
    • scoreinteger
    • numCommentsinteger
    • createdUtcinteger
    • over18boolean
    • stickiedboolean
    • flairTextstring

      Can be null.

    • isGalleryboolean
    Facebook or Instagram post (8 fields)
    • idstringrequired
    • permalinkstring (URL)required

      Can be null.

    • textstringrequired

      Can be null.

    • thumbnailUrlstring (URL)required

      Can be null.

    • mediaUrlstring (URL)required

      Can be null.

    • mediaTypestringrequired

      Can be null.

    • productTypestringrequired

      Can be null.

    • createdAtstringrequired

      Can be null.

  • commentobject
  • paginationobject
    • hasMoreboolean
    • cursorstring

      Can be null.

  • metaobject
    7 child fields
    • platformstring
    • postIdstring
    • accountIdstring
    • subredditstring

      Can be null.

    • postUrnstring
    • lastUpdatedstring (date-time)
    • adCommentsobject

      Can be null.

      2 child fields
      • adIdstring
      • adCommentsUrlstring
200 response
{
  "status": "active",
  "comments": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "message": "Hello from Pozy",
      "createdTime": "2026-10-02T09:00:00.000Z",
      "from": {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "name": "Acme",
        "username": "acme",
        "picture": "string",
        "isOwner": true,
        "verifiedType": "blue"
      },
      "likeCount": 42,
      "replyCount": 42,
      "platform": "instagram",
      "url": "https://pozy.ai/media/example-1.jpg",
      "replies": [
        {}
      ],
      "repliesHasMore": true,
      "canReply": true,
      "canDelete": true,
      "canHide": true,
      "canLike": true,
      "isHidden": true,
      "isLiked": true,
      "likeUri": "string",
      "cid": "60cc682239f4a5a15c99a784",
      "parentId": "6009d4193e17fdf7d162c048",
      "rootUri": "string",
      "rootCid": "683be26dab6414721254fc12"
    }
  ],
  "post": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "fullname": "Acme",
    "title": "Launch day",
    "selftext": "Hello from Pozy",
    "author": "string",
    "subreddit": "string",
    "permalink": "string",
    "url": "https://pozy.ai/media/example-1.jpg",
    "score": 1,
    "numComments": 1,
    "createdUtc": 1,
    "over18": true,
    "stickied": true,
    "flairText": "Hello from Pozy",
    "isGallery": true
  },
  "comment": {},
  "pagination": {
    "hasMore": true,
    "cursor": "string"
  },
  "meta": {
    "platform": "instagram",
    "postId": "6108a2cc742cb4e991051e0c",
    "accountId": "696e0b682d0a31188e7a2ba9",
    "subreddit": "string",
    "postUrn": "string",
    "lastUpdated": "2026-10-02T09:00:00.000Z",
    "adComments": {
      "adId": "6f40fa2fb0a7e728dd1a73b7",
      "adCommentsUrl": "https://pozy.ai/media/example-1.jpg"
    }
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Comments